Subject: Re: Thank you for public-inbox!

From: Eric Wong <[email-masked]>
Date: Wed, 29 Aug 2018 10:02:43 +0000

Jeff King <[email-masked]> wrote:
> I've thought about mirroring it to a public server as well, just for
> redundancy. But without the same domain, I'm not sure it would be all
> that useful as a community resource.

I wouldn't get too attached to the domain, "public-inbox.org" is
too long for my tastes anyways.  "peff.net/git/$MESSAGE_ID"
would actually be more user-friendly :>

A generic Message-ID redirection/finding service would be good,
(maybe some DHT thing, but... has that taken off for git blobs, yet?)

Anyways I hope to teach public-inbox to auto-linkify Message-ID-looking
strings "<XXXXXXXXXXX@XXXXXXXX>" into URLs for domain-portability,
(but it's ambiguous with email addresses).  But yeah, I don't
like things being tied to domain names.

I've also been considering setting up a parallel instance
on 80x24.org to use the more-scalable "v2" repository format
developed for https://lore.kernel.org/lkml/

Speaking of lore, Konstantin confirmed he'll be getting more
vger lists up: https://public-inbox.org/meta/20180827205811.GA1611@chatter